logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2021-31807

Description

An issue was discovered in Squid before 4.15 and 5.x before 5.0.6. An integer overflow problem allows a remote server to achieve Denial of Service when delivering responses to HTTP Range requests. The issue trigger is a header that can be expected to exist in HTTP traffic without any malicious intent.


Affected Software


CPE Name Name Version
squid-cache:squid squid-cache squid 2.5.stable2
squid-cache:squid squid-cache squid 2.5.stable3
squid-cache:squid squid-cache squid 2.5.stable4
squid-cache:squid squid-cache squid 2.5.stable5
squid-cache:squid squid-cache squid 2.5.stable6
squid-cache:squid squid-cache squid 2.5.stable7
squid-cache:squid squid-cache squid 2.5.stable8
squid-cache:squid squid-cache squid 2.5.stable9
squid-cache:squid squid-cache squid 2.5.stable10
squid-cache:squid squid-cache squid 2.5.stable11
squid-cache:squid squid-cache squid 2.5.stable12
squid-cache:squid squid-cache squid 2.5.stable13
squid-cache:squid squid-cache squid 2.5.stable14
squid-cache:squid squid-cache squid 2.6
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 2.7
squid-cache:squid squid-cache squid 4.15
squid-cache:squid squid-cache squid 5.0.6
fedoraproject:fedora fedoraproject fedora 33
fedoraproject:fedora fedoraproject fedora 34
netapp:cloud_manager netapp cloud manager -

Related